Subject: RE: More on relative pathname
From: [email-masked] (Bernard Dautrevaux)

12 Jan 1999 02:50:45 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "'Gordon Watts (Brown University)'" <[email-masked]>,
        gnu-win cygnus mailing list <[email-masked]>

> -----Message d'origine-----
> De:	Gordon Watts (Brown University) [SMTP:[email-masked]]
> Date:	Monday, January 11, 1999 04:05
> À:	gnu-win cygnus mailing list
> Objet:	More on relative pathname
> 
> Hi,
>   I'm still having the problem. I downloaded b20.1 and installed it on
> a
> clean machine (hadn't seen versions of b19 or b20 or any other b
> before). I
> still observe the error. I've included a small shell script below
> which
> demonstrates the difficulty I'm having. Perhaps I'm making a
> bone-headed
> unix mistake?
> 
> 	Cheers,
> 		Gordon.
> 
> ==============
> #!/bin/sh
> 
> mkdir junk123
> cat > junk123/stuff.sh <<EOF
> #/bin/sh
Seems you're missing a '!' here; should read '#!/bin/sh'
> echo hi
> EOF
> 
> chmod a+x junk123/stuff.sh
This line should not be needed; for CygWin a file is executable if its
extension is ".exe" or if its contents starts by the magic cookie
"#!"...

> PATH=./junk123:${PATH}
> export PATH
> 
> echo Will now try to run the thing
> # I get an error on this line
> stuff.sh
> ==========
> 
Which error do you get? (if my previous remark was wrong or if you still
get the error after correcting it...)

Regards,

		Bernard

------------------------------------------------------------------------
------
Bernard Dautrevaux
Microprocess Ingéniérie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
	[email-masked]
------------------------------------------------------------------------
------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".